Skip to main content
GET
Get Tool Call Approval

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

approval_id
string
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Response

Successful Response

arguments
Arguments · object | null
required
can_decide
boolean
required
client_id
string | null
required
client_name
string | null
required
comment
string | null
required
connector
string
required
created_at
string<date-time>
required
decided_at
string<date-time> | null
required
decided_by
string | null
required
expires_at
string<date-time>
required
hint
string | null
required
id
string
required
mcp_instance_id
string | null
required
policy_name
string
required
reason
string
required
requested_by
string
required
status
enum<string>
required
Available options:
pending,
approved,
rejected,
consumed,
expired
tool
string
required
url
string
required
Last modified on October 12, 2026